<mat-card class="form-class">
    <form [formGroup]="checkForm" class="card-body position-relative" (ngSubmit)="addWorkout(checkForm.value)">

        <mat-card-title> Novi trening </mat-card-title>
        <mat-card-content>
            <!-- Naziv treninga -->
            <mat-form-field class='create-input' appearance="">
                <mat-label> Naziv treninga </mat-label>
                <input matInput type="text" name="name" formControlName="name">
                <mat-error *ngIf="name.errors?.required">Naziv je obavezan.</mat-error>

            </mat-form-field>
            <br>

            <!-- Teretana -->
            <div>
                <mat-label> Izaberite teretanu </mat-label>
                <br>
                <mat-select formControlName="gym" placeholder="--teretana--">
                    <mat-option *ngFor="let gymN of gymNames" value="{{gymN}}">{{gymN}}</mat-option>
                    <mat-error *ngIf="gym.errors?.required">Izbor teretane je obavezan.</mat-error>
                </mat-select>
            </div>
            <br>

            <!-- Termin pocetka -> datum + vreme -->
            <div class="form-row">
                <mat-form-field>
                    <input matInput type="datetime-local" min='2020-09-23T00:00' placeholder="Termin početka"
                        formControlName="startTime">
                    <mat-error *ngIf="startTime.errors?.required">Unos početka termina je obavezan.</mat-error>
                </mat-form-field>
                <!-- Termin kraja  -->

                <mat-form-field class="end">
                    <input matInput type="datetime-local" min='2020-09-23T00:15' placeholder="Termin kraja"
                        formControlName="endTime">
                    <mat-error *ngIf="endTime.errors?.required">Unos kraja termina je obavezan.</mat-error>
                </mat-form-field>

            </div>
            <br>
            <br>
            <div class="form-row">
                <!-- Broj mesta -->
                <mat-form-field class="create-input" appearance="">
                    <mat-label> Broj mesta </mat-label>
                    <input matInput min="1" max="100" type="number" name="spots" formControlName="maxSpots">
                    <mat-error *ngIf="maxSpots.errors?.required">Unos broja klijenta je obavezan.</mat-error>
                </mat-form-field>

                <!-- Tezina treninga -->
                <mat-radio-group aria-label="Težina treninga" formControlName="difficulty" class="diff">
                    <mat-label> Težina treninga </mat-label>
                    <mat-radio-button value="1">1</mat-radio-button>
                    <mat-radio-button value="2">2</mat-radio-button>
                    <mat-radio-button value="3">3</mat-radio-button>
                    <mat-radio-button value="4">4</mat-radio-button>
                    <mat-radio-button value="5">5</mat-radio-button>
                    <mat-error *ngIf="difficulty.errors?.required">Unos težine treninga je obavezan.</mat-error>
                </mat-radio-group>

            </div>
            <br>
            <br>

            <!-- Tip treninga -->
            <mat-label> Izaberite tip treninga </mat-label>
            <br>
            <mat-select formControlName="trainingType" appearance="fill" placeholder="--tip--">
                <mat-option *ngFor="let type of tTypes" value="{{type}}">{{type}}</mat-option>
            </mat-select>
            <br>
            <br>

            <!-- Opis -->
            <mat-form-field class="description">
                <mat-label> Opis </mat-label>
                <input matInput #message maxlength="512" placeholder="Pr. Trening aktivira sve grupe mišića"
                    formControlName="description">
                <mat-hint align="end">{{message.value.length}} / 512</mat-hint>
            </mat-form-field>

            <br>
            <br>
            <!-- Cena -->
            <mat-form-field appearance=" ">
                <mat-label> Cena </mat-label>
                <input matInput type="number" min="0" formControlName="price">
                <span matSuffix>RSD</span>
            </mat-form-field>
        </mat-card-content>
        <mat-card-actions>
            <button class="enter" mat-raised-button [disabled]="!checkForm.valid"> Zakažite trening
            </button>
            <button mat-stroked-button [routerLink]="['/main', currentUser.username]"> Odustati </button>
        </mat-card-actions>

    </form>
</mat-card>